"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emitOne = exports.emitMany = void 0;
const AttributeTokens = require("../tokens/attribute_tokens");
function emitMany(writer, attributes) {
    if (attributes == null || attributes.length === 0)
        return;
    attributes.forEach(a => emitOne(writer, a));
}
exports.emitMany = emitMany;
function emitOne(writer, attribute) {
    writer.writeLine(...AttributeTokens.emit(attribute));
}
exports.emitOne = emitOne;
